Package org.eclipse.mat.ui.internal.viewer

## Class RefinedTreeViewer

- java.lang.Object
- - org.eclipse.mat.ui.internal.viewer.RefinedResultViewer
  - - org.eclipse.mat.ui.internal.viewer.RefinedTreeViewer

    public class RefinedTreeViewer
    extends RefinedResultViewer

### Nested Class Summary

Nested Classes
`class` `RefinedTreeViewer.TreeAdapter`

### Constructor Summary

Constructors
`RefinedTreeViewer​(IQueryContext context, QueryResult result, RefinedTree tree)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`
`void` `refresh​(List<?> elementPath)`

### Methods inherited from class org.eclipse.mat.ui.internal.viewer.RefinedResultViewer

`addContextMenu, contributeToToolBar, dispose, getControl, getQueryResult, getResult, getSelection, setFocus, showDerivedDataColumn`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RefinedTreeViewer

    public RefinedTreeViewer​(IQueryContext context,
                             QueryResult result,
                             RefinedTree tree)

### Method Detail

#### init

    public void init​(Composite parent,
                     MultiPaneEditor editor,
                     AbstractEditorPane pane)

Specified by:
  `init` in class `RefinedResultViewer`

#### refresh

    public void refresh​(List<?> elementPath)